# Method: projects.locations.privateClouds.clusters.nodes.list

- [HTTP request](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes/list#body.request_body)
- [Response body](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes/list#body.ListNodesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes/list#body.aspect)

Lists nodes in a given cluster.

### HTTP request

`GET https://vmwareengine.googleapis.com/v1/{parent=projects/*/locations/*/privateClouds/*/clusters/*}/nodes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the cluster to be queried for nodes. Resource names are schemeless URIs that follow the conventions in <https://cloud.google.com/apis/design/resource_names>. For example: `projects/my-project/locations/us-central1-a/privateClouds/my-cloud/clusters/my-cluster` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `vmwareengine.nodes.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of nodes to return in one page. The service may return fewer than this value. The maximum value is coerced to 1000. The default value of this field is 500. |
| `pageToken` | `string` A page token, received from a previous `nodes.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `nodes.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes/list#google.cloud.vmwareengine.v1.VmwareEngine.ListNodes`

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nodes": [ { object (`https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes#Node`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `nodes[]` | ``object (`https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.privateClouds.clusters.nodes#Node`)`` The nodes. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/external/authorization-gcp).